aboutsummaryrefslogtreecommitdiffstats
path: root/.github/webhook.sh
diff options
context:
space:
mode:
authorRangi <remy.oukaour+rangi42@gmail.com>2021-06-19 22:32:15 -0400
committerRangi <remy.oukaour+rangi42@gmail.com>2021-06-19 22:32:15 -0400
commit45c039801916713e4066644086de4d4940d5fa1d (patch)
tree937e1853e3c7e82c9cbfa85fd91d70ae45424593 /.github/webhook.sh
parentMerge pull request #68 from SnorlaxMonster/roar-teleport-comment-fix (diff)
downloadpokeyellow-45c039801916713e4066644086de4d4940d5fa1d.tar.gz
pokeyellow-45c039801916713e4066644086de4d4940d5fa1d.tar.xz
pokeyellow-45c039801916713e4066644086de4d4940d5fa1d.zip
Switch from Travis CI to GitHub Actions
Diffstat (limited to '.github/webhook.sh')
-rwxr-xr-x.github/webhook.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/.github/webhook.sh b/.github/webhook.sh
new file mode 100755
index 00000000..70a219c9
--- /dev/null
+++ b/.github/webhook.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -e
+
+# Report unnamed symbols
+content="$(tools/unnamed.py -r . pokeyellow.sym | head)"
+
+curl -H 'Content-Type: application/json' -X POST "$DISCORD_WEBHOOK_URL" -d@- << EOF
+{
+ "username": "OK",
+ "avatar_url": "https://i.imgur.com/38BQHdd.png",
+ "content": "\`\`\`$(echo "$content" | sed -E ':a;N;$!ba;s/\r{0,1}\n/\\n/g')\`\`\`"
+}
+EOF